﻿
.twoColumnContent .content {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    justify-content: center;
    align-content: center;
    align-items: center;
}

    .twoColumnContent .content .textWrap {
        flex: 1;
        padding-right: max(0px, calc((100% - 1225px) / 2));
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding-left: 50px;
        width: 100%;
        max-width: 50%;
    }

        .twoColumnContent .content .textWrap .title {
            margin-bottom: 40px;
        }

        .twoColumnContent .content .textWrap .buttonWrap {
            margin: 50px 0 0 0;
        }

    .twoColumnContent .content .imageWrap {
        width: 100%;
        max-width: 50%;
        flex-grow: 1;
        margin: 0 80px 0 0;
    }

        .twoColumnContent .content .imageWrap .parallax {
            width: 100%;
            height: 0;
            padding-bottom: 56.2%;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center 50%;
            background-attachment: scroll;
            overflow: hidden;
        }

.twoColumnContent.rightImg .content .textWrap {
    width: 100%;
    flex-grow: 1;
    order: 1;
    padding-left: max(0px, calc((100% - 1225px) / 2));
    padding-right: 50px;
}


.twoColumnContent.rightImg .content .imageWrap {
    order: 2;
    flex: 1;
    margin: 0 0 0 80px;
    width: 100%;
}

@media (max-width: 1275px) {
    .twoColumnContent .content .textWrap {
        margin: 0 2% 0 0;
        padding: 0 0 15px 0;
    }

        .twoColumnContent .content .textWrap .title {
            font-size: 40px;
            line-height: 44px;
        }

    .twoColumnContent .content .imageWrap {
        margin: 0 40px 0 0;
    }

    .twoColumnContent.rightImg .content .textWrap {
        margin: 0 0 0 2%;
        padding: 0 0 0 0;
    }

    .twoColumnContent.rightImg .content .imageWrap {
        margin: 0 0 0 40px;
    }
}

@media (max-width: 945px) {
    .twoColumnContent .content {
        flex-direction: column;
    }

        .twoColumnContent .content .textWrap,
        .twoColumnContent .content .imageWrap {
            width: 100%;
            max-width: 100%;
            margin: 0 auto !important;
            padding: 0 2% !important;
        }

        .twoColumnContent .content .textWrap {
            order: 2;
        }

        .twoColumnContent .content .imageWrap {
            order: 1 !important;
            margin-bottom: 25px !important;
        }
}

@media (max-width: 550px) {
    .twoColumnContent .content .textWrap .title {
        font-size: 35px;
        line-height: 40px;
    }
}